Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management.configuration
Class LegalChecks

    java.lang.Object
      |
      +--weblogic.management.configuration.LegalChecks

public class LegalChecks
extends java.lang.Object

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`LegalChecks()`

Method Summary
`static void` | `checkLegalIntSet(javax.management.Attribute attribute, int[] set)` Assert int attribute value is a member of set.
`static void` | `checkLegalRange(javax.management.Attribute attribute, long min, long max)` Assert attribute value is within the range [min, max].
`static java.lang.String` | `checkLegalStringSet(javax.management.Attribute attribute, java.lang.String[] set)` Assert string attribute value is a member of set
`static void` | `checkNonEmptyString(javax.management.Attribute attribute)` Assert string attribute value is non-null and non-empty
`static void` | `checkNonNull(javax.management.Attribute attribute)` Assert attribute value is non-null

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LegalChecks

    public LegalChecks()

Method Detail

### checkLegalStringSet

    public static java.lang.String checkLegalStringSet(javax.management.Attribute attribute,
                                                       java.lang.String[] set)
                                                throws javax.management.InvalidAttributeValueException

  Assert string attribute value is a member of set

  Parameters:
    `attribute` -
    `set` -
  Returns:
  Throws:
    javax.management.InvalidAttributeValueException - if value does not match one in set.

### checkLegalIntSet

    public static void checkLegalIntSet(javax.management.Attribute attribute,
                                        int[] set)
                                 throws javax.management.InvalidAttributeValueException

  Assert int attribute value is a member of set.

  Parameters:
    `attribute` -
    `set` -
  Throws:
    javax.management.InvalidAttributeValueException - if value does not match one in set.

### checkLegalRange

    public static void checkLegalRange(javax.management.Attribute attribute,
                                       long min,
                                       long max)
                                throws javax.management.InvalidAttributeValueException

  Assert attribute value is within the range [min, max].

  Parameters:
    `attribute` -
    `min` -
    `max` -
  Throws:
    javax.management.InvalidAttributeValueException -

### checkNonNull

    public static void checkNonNull(javax.management.Attribute attribute)
                             throws javax.management.InvalidAttributeValueException

  Assert attribute value is non-null

  Parameters:
    `attribute` -
  Throws:
    javax.management.InvalidAttributeValueException -

### checkNonEmptyString

    public static void checkNonEmptyString(javax.management.Attribute attribute)
                                    throws javax.management.InvalidAttributeValueException

  Assert string attribute value is non-null and non-empty

  Parameters:
    `attribute` -
  Throws:
    javax.management.InvalidAttributeValueException -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD